import 'package:flutter/material.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';
import 'package:qadirneyriz/config/config.dart';
class TodayWidget extends StatelessWidget {
  const TodayWidget({
    super.key,
    required this.formattedDate,
  });

  final String formattedDate;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 30, horizontal: 20),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Text(
            AppLocalizations.of(context)!.today,
            style: const TextStyle(fontWeight: FontWeight.bold, fontSize: 18),
          ),
          Row(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.end,
            children: [
              Text(formattedDate,
                  style: TextStyle(
                      fontSize: 14, color: config.ui.mainGray.withOpacity(.7))),
              const SizedBox(
                width: 5,
              ),
              Icon(Icons.calendar_month_outlined,
                  color: config.ui.mainGray.withOpacity(.7)),
            ],
          ),
        ],
      ),
    );
  }
}
